Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ListExpression

    public class ListExpression
    extends Expression

Represents a list expression [1, 2, 3] which creates a mutable List

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ListExpression()`
`ListExpression(java.util.List expressions)`

Method Summary
`void` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`java.util.List` | `getExpressions()`
`java.lang.String` | `getText()`
`boolean` | `isWrapped()`
`void` | `setWrapped(boolean value)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ListExpression

    public ListExpression()

### ListExpression

    public ListExpression(java.util.List expressions)

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public java.util.List getExpressions()

### getText

    public java.lang.String getText()

### isWrapped

    public boolean isWrapped()

### setWrapped

    public void setWrapped(boolean value)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation